Subject: Re: Small trivial annoyance with the nice new builtin "git am"

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Jul 2016 10:18:38 -0700

Linus Torvalds <[email-masked]> writes:

> So we do want to cache things for a single commit, it's just that for
> things like "git am" (or, like Junio wondered, "git rebase" - I didn't
> check) we probabyl just just flush the cache in between commits.

What I cautioned was indeed "git rebase", and the codepath that uses
"git am" internally would be fixed when "git am" is fixed, so it is
OK.

What I wondered was actually "git cherry-pick A..B", but I think it
runs "git commit" via the run_command() API as external process, so
it should also be safe.